## org.apache.fop.dom.css
Class CSSStyleRuleImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.css.CSSStyleRuleImpl

public class CSSStyleRuleImpl
extends java.lang.Object
implements org.w3c.dom.css.CSSStyleRule

Fields inherited from interface org.w3c.dom.css.CSSRule
`CHARSET_RULE, FONT_FACE_RULE, IMPORT_RULE, MEDIA_RULE, PAGE_RULE, STYLE_RULE, UNKNOWN_RULE`

Constructor Summary
`CSSStyleRuleImpl(org.w3c.dom.css.CSSStyleSheet styleSheet)`

Method Summary
`java.lang.String` `getCssText()`
`org.w3c.dom.css.CSSRule` `getParentRule()`
`org.w3c.dom.css.CSSStyleSheet` `getParentStyleSheet()`
`java.lang.String` `getSelectorText()`
`org.w3c.dom.css.CSSStyleDeclaration` `getStyle()`
`short` `getType()`
`boolean` `matches(org.w3c.dom.svg.SVGElement el)` This should probably be elsewhere, in dom.svg
`protected boolean` `matches(org.w3c.dom.svg.SVGElement el, org.apache.fop.dom.css.Selector sel)`
`protected void` `parseSelector()`
`void` `setCssText(java.lang.String cssText)`
`void` `setSelectorText(java.lang.String selectorText)` Selectors are comma separated values (except for attributes) of all the selectors for the style.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSSStyleRuleImpl

    public CSSStyleRuleImpl(org.w3c.dom.css.CSSStyleSheet styleSheet)

Method Detail

### getSelectorText

    public java.lang.String getSelectorText()

  Specified by:
    getSelectorText in interface org.w3c.dom.css.CSSStyleRule

### setSelectorText

    public void setSelectorText(java.lang.String selectorText)

  Selectors are comma separated values (except for attributes) of all the selectors for the style.
  Specified by:
    setSelectorText in interface org.w3c.dom.css.CSSStyleRule

### parseSelector

    protected void parseSelector()

### getStyle

    public org.w3c.dom.css.CSSStyleDeclaration getStyle()

  Specified by:
    getStyle in interface org.w3c.dom.css.CSSStyleRule

### getCssText

    public java.lang.String getCssText()

### setCssText

    public void setCssText(java.lang.String cssText)

### getType

    public short getType()

### getParentStyleSheet

    public org.w3c.dom.css.CSSStyleSheet getParentStyleSheet()

### getParentRule

    public org.w3c.dom.css.CSSRule getParentRule()

### matches

    public boolean matches(org.w3c.dom.svg.SVGElement el)

  This should probably be elsewhere, in dom.svg

### matches

    protected boolean matches(org.w3c.dom.svg.SVGElement el,
                              org.apache.fop.dom.css.Selector sel)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.